Bug 1121843 - [RFE][keystone]: JSON Home
Summary: [RFE][keystone]: JSON Home
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-keystone
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ga
: 6.0 (Juno)
Assignee: Nathan Kinder
QA Contact: Ami Jeain
URL: https://blueprints.launchpad.net/keys...
Whiteboard: upstream_milestone_juno-3 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 04:06 UTC by RHOS Integration
Modified: 2016-04-27 01:17 UTC (History)
6 users (show)

Fixed In Version: openstack-keystone-2014.2.1-1.el7ost
Doc Type: Enhancement
Doc Text:
With this release, the Identity service now supports the standard JSON Home document format for API discovery. the service's previously supported API discovery response format was a non-standard JSON document. This format required a client to have Identity-specific knowledge to understand how to use the response. The JSON Home document format allows API discovery to use a standardized format, allowing client applications to perform API discovery across multiple services in a standard way.
Clone Of:
Environment:
Last Closed: 2015-02-09 20:05:05 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-22 04:06:04 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/keystone/+spec/json-home.

Description:

The server will return a JSON Home document for GET /v3, /v2.0, and / if the Accept header indicates to use application/json-home.


Specification URL (additional information):

https://github.com/openstack/keystone-specs/blob/master/specs/juno/json-home.rst

Comment 2 Scott Lewis 2015-02-09 20:05:05 UTC
This bug has been closed as a part of the RHEL-OSP 6 general availability release. For details, see https://rhn.redhat.com/errata/rhel7-rhos-6-errata.html


Note You need to log in before you can comment on or make changes to this bug.